Translations
Translate text (nothing saved)
POST
/translateNeedscontent.editTranslate a title, body and button text into one language (targetLanguage) or all supported ones (all: true).
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Request Body
application/json- body
title?|nullbody?|nullbuttonText?|nulltargetLanguage?|nullsourceLanguage?stringDefault
"en"Value in
"en""uk""pl""es""pt""de""ru""fr""it""ja""zh"all?booleanDefault
falseResponse Body
translation for one language, translations keyed by language for all
application/json- response
translation?translations?Shell
curl -X POST 'https://app.cueston.com/api/translate' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
JSON
{
"translation": {
"title": "Welcome to Acme",
"body": "Here's a quick look at where everything is.",
"buttonText": "Next"
},
"translations": {
"property1": {
"title": "Welcome to Acme",
"body": "Here's a quick look at where everything is.",
"buttonText": "Next"
},
"property2": {
"title": "Welcome to Acme",
"body": "Here's a quick look at where everything is.",
"buttonText": "Next"
}
}
}